Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface EJBRuntimeMBean

All Known Subinterfaces:
  EntityEJBRuntimeMBean, MessageDrivenEJBRuntimeMBean, StatefulEJBRuntimeMBean, StatelessEJBRuntimeMBean

public interface EJBRuntimeMBean
extends WebLogicMBean

This interface contains accessor methods for all common runtime information collected for all EJB types.

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.

Method Summary
`java.lang.String` | `getEJBName()` Returns the ejb-name for this EJB as defined in the ejb-jar.xml deployment descriptor.
`EJBTransactionRuntimeMBean` | `getTransactionRuntime()` Returns the EJBTransactionRuntimeMBean, containing runtime transaction counts, for this EJB.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionRuntime

    public EJBTransactionRuntimeMBean getTransactionRuntime()

  Returns the EJBTransactionRuntimeMBean, containing runtime transaction counts, for this EJB.

### getEJBName

    public java.lang.String getEJBName()

  Returns the ejb-name for this EJB as defined in the ejb-jar.xml deployment descriptor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference